Bug 247641 - devel/p5-Gearman: update to 2.004.015
Summary: devel/p5-Gearman: update to 2.004.015
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Li-Wen Hsu
URL:
Keywords: needs-qa
Depends on:
Blocks:
 
Reported: 2020-06-29 16:46 UTC by Tomohiro Hosaka
Modified: 2020-08-20 21:28 UTC (History)
3 users (show)

See Also:
koobs: maintainer-feedback? (bokutin)


Attachments
svn diff (2.09 KB, text/plain)
2020-06-29 16:46 UTC, Tomohiro Hosaka
no flags Details
diff (2.12 KB, patch)
2020-07-06 09:10 UTC, Tomohiro Hosaka
no flags Details | Diff
diff (3.06 KB, patch)
2020-07-19 15:26 UTC, Tomohiro Hosaka
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Tomohiro Hosaka 2020-06-29 16:46:07 UTC
* portlint looks fine.
* poudriere testport ok (12.1, amd64)
* make test ok
Comment 1 Tomohiro Hosaka 2020-06-29 16:46:10 UTC
Created attachment 216041 [details]
svn diff
Comment 2 Vick Khera 2020-06-29 17:27:52 UTC
Hi. I haven’t used this software for at least 5 years. Can you take over maintainer role?  The patch seems reasonable to me but I’m not in a position to test it anymore. I do not have access to all of my old development infrastructure.
Comment 3 Tomohiro Hosaka 2020-06-29 17:38:51 UTC
Hi.

Okay. I will take over.

Thank you for your reply.
Comment 4 Li-Wen Hsu freebsd_committer 2020-06-30 09:32:25 UTC
There seems some perl Q/A and pkg-plist issues:

https://gist.github.com/246905e7bfdd25608a841898f9806ce3

Could you check it?

Also, I feel that we might also need to upgrade devel/p5-Gearman-* together.

Thanks for submitting update!
Comment 5 Kubilay Kocak freebsd_committer freebsd_triage 2020-06-30 09:47:45 UTC
@Tomohiro Please also include the MAINTAINER change in any updated patch, thanks!
Comment 6 Tomohiro Hosaka 2020-07-06 09:10:04 UTC
Created attachment 216242 [details]
diff

I changed the MAINTAINER line. Thanks.
Comment 7 Li-Wen Hsu freebsd_committer 2020-07-19 14:27:28 UTC
(In reply to Tomohiro Hosaka from comment #6)
Please fix the pkg-plist issue in the comment 4 and check if we also need to update devel/p5-Gearman-*, thanks!
Comment 8 Tomohiro Hosaka 2020-07-19 15:26:55 UTC
Created attachment 216577 [details]
diff

I was overlooked. I'm sorry to trouble you. Fixed!
Comment 9 commit-hook freebsd_committer 2020-08-20 21:28:07 UTC
A commit references this bug:

Author: lwhsu
Date: Thu Aug 20 21:27:30 UTC 2020
New revision: 545564
URL: https://svnweb.freebsd.org/changeset/ports/545564

Log:
  devel/p5-Gearman: Update to 2.004.015

  Pass the maintainership to the submitter

  PR:		247641
  Submitted by:	Tomohiro Hosaka <bokutin@bokut.in>
  Approved by:	Vick Khera <vivek@khera.org> (original maintainer)

Changes:
  head/devel/p5-Gearman/Makefile
  head/devel/p5-Gearman/distinfo
  head/devel/p5-Gearman/pkg-plist